Name:          micro
Version:       2.0.14
Release:       1mamba
Summary:       A modern and intuitive terminal-based text editor
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://micro-editor.github.io/
Source:        https://github.com/zyedidia/micro.git/v%{version}/micro-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
A modern and intuitive terminal-based text editor.

#% debug_package

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 micro %{buildroot}%{_bindir}/micro
install -D -m644 assets/packaging/micro.1 %{buildroot}%{_mandir}/man1/micro.1
install -D -m644 assets/packaging/micro.desktop %{buildroot}%{_datadir}/applications/micro.desktop
install -D -m644 assets/micro-logo-mark.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/micro.svg

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/micro
%{_datadir}/applications/micro.desktop
%{_datadir}/icons/hicolor/scalable/apps/micro.svg
%{_mandir}/man1/micro.1*
%doc LICENSE

%changelog
* Wed Aug 28 2024 Automatic Build System <autodist@openmamba.org> 2.0.14-1mamba
- automatic version update by autodist

* Sat Jan 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.13-1mamba
- package created using the webbuild interface
